package com.yuchen.saas.park.api.feign.property;

import com.yuchen.saas.park.api.dto.property.PropertyBillPayBto;
import com.yuchen.saas.park.api.dto.property.PropertyBillPayCallBackDto;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

@Component
public class PropertyBillPayFeignServiceFallback implements PropertyBillPayFeignService {

    @Override
    public R insert(PropertyBillPayBto billPayBto) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R propertyFeePaySuccessCallBack(PropertyBillPayCallBackDto dto) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R propertyPrepaymentFeePaySuccessCallBack(PropertyBillPayCallBackDto dto) {
        return R.fail("feign远程调用失败.");
    }
}
